* {
  margin: 0;
  padding: 0;
  box-sizing: border-box;
}

@font-face {
  font-family: IranSans;
  src: url(./iransans-font.ttf);
}

html {
  font-size: 62.5%;
}

body {
  position: relative;
  color: white;

  font-family: "IranSans", sans-serif;
  background: url(../imgs/pattern2.png), rgb(43, 43, 43);
  background-repeat: repeat;
  background-size: contain;
  background-position: center;
  background-attachment: fixed;
}

.container {
  width: 20rem;
  margin: 0 auto;
  display: flex;
  flex-direction: column;
  align-items: center;
}

.applogo {
  width: 10rem;
  border-radius: 50%;
  margin: 2rem 0;
}

.apptitle {
  text-align: center;
}

.dev {
  color: #c0c0c0;
}

.dev a {
  text-decoration: none;
  color: rgb(12, 144, 184);
}

.guide {
  display: flex;
  align-items: center;
  gap: 0.3rem;
  margin-top: 1rem;
  color: rgb(192, 192, 192);
}

.warning {
  margin-top: 1rem;
  width: 18rem;
  display: flex;
  align-items: center;
  flex-direction: column;
  background: #ffffff;
  color: #000000;
  text-align: center;
  padding: 1rem;
  border-radius: 0.5rem;
}
.warning svg {
  width: 24px;
  color: rgb(219, 61, 61);
}

.guide svg {
  width: 10px;
}

.proxylist {
  width: 20rem;
  word-break: break-all;
  margin-top: 4rem;
}

.proxy {
  position: relative;
  margin-bottom: 6rem;
  background: linear-gradient(90deg, #00aada 0%, #78d1bb 100%);
  padding: 1rem;
  padding-bottom: 2rem;
  border-radius: 1rem;
  position: relative;
}

.proxy .detail {
  text-align: center;
}

.proxy .detail svg {
  width: 1.5rem;
}

.proxy .time {
  position: absolute;
  color: #fff;
  background: linear-gradient(90deg, #3cbdca 0%, #78d1bb 100%);

  top: -15%;
  right: 5%;
  width: 8rem;
  height: 2rem;
  z-index: -1;
  border-radius: 0.5rem;
  font-weight: bold;
  text-align: center;
}

.proxy .button {
  cursor: pointer;
  padding: 0.5rem;
  border-radius: 1rem;
  background: white;
  color: black;
  display: inline;
  font-size: 1.2rem;
  transition: all 0.5s ease;
}

.proxy .button:hover {
  color: #0089af;
  background: #000;
}

.connect {
  width: 10rem;
  text-align: center;
  position: absolute;
  bottom: -1rem;
  right: 50%;
  transform: translateX(50%);
}

.connect svg {
  width: 10px;
}

.clipboard {
  position: fixed;
  bottom: -10rem;
  transform: translate(50%, 50%);
  right: 50%;
  background-color: #2b2b2b;
  display: flex;
  align-items: center;
  justify-content: center;
  gap: 1rem;
  width: 15rem;
  padding: 1rem;
  border-radius: 2rem;
  transition: all 0.5s ease;
}

.clipboard.copied {
  bottom: 4rem;
}

.clipboard .icon {
  color: #00aada;
  border-radius: 50%;
}
